package com.bocloud.ims.interfaces.resource.azure.slb;

import com.bocloud.common.model.BocloudResult;
import com.bocloud.common.model.GridBean;
import com.bocloud.common.model.Pager;
import com.bocloud.common.model.RequestContext;
import com.bocloud.ims.entity.resource.azure.slb.BackEnd;

import java.util.Map;

public interface BackEndService {

    BocloudResult<GridBean<BackEnd>> list(Pager pager, RequestContext context);

    BocloudResult<BackEnd> detail(Long id, RequestContext context);

    BocloudResult<Void> create(BackEnd entityParams, RequestContext context);

    BocloudResult<Void> remove(Long id, RequestContext context);

    BocloudResult<Void> modify(BackEnd modifyParams, RequestContext context);

    BocloudResult<Map<String, Object>> getModifyUnbindVm(Long id, RequestContext context);

    BocloudResult<Map<String, Object>> getCreateUnbindVm(Long id,Long vpcId,RequestContext context);

}
